<div style="height: 100%;">
  <mat-toolbar color="primary">
    <mat-toolbar-row>
      <button mat-icon-button (click)="sidenav.toggle()" fxShow="true" fxHide.gt-sm>
        <mat-icon>menu</mat-icon>
      </button>
      <span><img src="/assets/img/logo.jpg" class="rounded-circle d-inline-block align-top mr-2" width="30" height="30" alt="">
        Check Reservations <sup>by CheckIn Salta</sup></span>
      <span class="menu-spacer"></span>
      <div fxShow="true" fxHide.lt-md>
        <!-- The following menu items will be hidden on both SM and XS screen sizes -->
        <a href="#" *ngIf="authService.userData" routerLink="/" mat-button><mat-icon>home</mat-icon> Inicio</a>
        <a href="#" *ngIf="authService.userData" routerLink="/reserve" routerLinkActive="active" mat-button><mat-icon>calendar_today</mat-icon> Reservas</a>
        <a href="#" *ngIf="authService.userData" (click)="authService.SignOut()" mat-button><mat-icon>exit_to_app</mat-icon> Salir</a>
        <a href="#" *ngIf="!authService.userData" routerLink="/signin" routerLinkActive="active" mat-button><mat-icon>lock</mat-icon> Entrar</a>
        <span
          class="h6 font-weight-bold mb-0">{{authService.userData ==null ? '' : authService.userData.displayName}}</span>
      </div>
    </mat-toolbar-row>
  </mat-toolbar>

  <mat-sidenav-container fxFlexFill>
    <mat-sidenav #sidenav>
      <mat-nav-list>
        <a (click)="sidenav.toggle()" href="#" mat-list-item><mat-icon>lock</mat-icon> Cerrar</a>
        <a href="#" *ngIf="authService.userData" routerLink="/" mat-list-item><mat-icon>home</mat-icon> Inicio</a>
        <a href="#" *ngIf="authService.userData" routerLink="/reserve" routerLinkActive="active" mat-list-item><mat-icon>calendar_today</mat-icon> Reservas</a>
        <a href="#" *ngIf="authService.userData" (click)="authService.SignOut()" mat-list-item><mat-icon>exit_to_app</mat-icon> Salir</a>
        <a href="#" *ngIf="!authService.userData" routerLink="/signin" routerLinkActive="active" mat-list-item><mat-icon>lock</mat-icon> Entrar</a>
      </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content fxFlexFill>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>